# Metadata ## Import Pipeline Metadata **put** `/api/v1/pipelines/{pipeline_id}/metadata` Import metadata for a pipeline. ### Path Parameters - `pipeline_id: string` ### Cookie Parameters - `session: optional string` ### Example ```http curl https://api.cloud.llamaindex.ai/api/v1/pipelines/$PIPELINE_ID/metadata \ -X PUT \ -H 'Content-Type: multipart/form-data' \ -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY" \ -F 'upload_file=@/path/to/upload_file' ``` #### Response ```json { "foo": "string" } ``` ## Delete Pipeline Files Metadata **delete** `/api/v1/pipelines/{pipeline_id}/metadata` Delete metadata for all files in a pipeline. ### Path Parameters - `pipeline_id: string` ### Cookie Parameters - `session: optional string` ### Example ```http curl https://api.cloud.llamaindex.ai/api/v1/pipelines/$PIPELINE_ID/metadata \ -X DELETE \ -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY" ``` ## Domain Types ### Metadata Create Response - `MetadataCreateResponse = map[string]`